org.apache.http.pool

## Interface ConnFactory<T,C>

- Type Parameters:
    `T` - the route type that represents the opposite endpoint of a pooled connection.
    `C` - the connection type.
  All Known Implementing Classes:
    BasicConnFactory

      public interface ConnFactory<T,C>

  Factory for poolable blocking connections.
  Since:
    4.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `create(T route)`

- - ### Method Detail

    - #### create

          C create(T route)
                   throws IOException

      Throws:
        `IOException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.